//
//  Copyright 2011 Canonical Ltd.
//	
//  This program is free software: you can redistribute it and/or modify it
//  under the terms of the GNU Affero General Public License version 3,
//  as published by the Free Software Foundation.
//	
//  This program is distributed in the hope that it will be useful, but
//  WITHOUT ANY WARRANTY; without even the implied warranties of
//  MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
//  PURPOSE.  See the GNU Affero General Public License for more details.
//
//  You should have received a copy of the GNU Affero General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.

#import "U1AssetRepresenationDataProvider.h"

@implementation U1AssetRepresenationDataProvider

@synthesize representation;

- (void)dealloc;
{
	[representation release];
	[super dealloc];
}

- (NSData *)serializeData;
{
	Byte *buffer = (Byte*)malloc(self.representation.size);
	NSUInteger length = [self.representation getBytes:buffer fromOffset:0 length:self.representation.size error:nil];
	NSData *assetData = [NSData dataWithBytesNoCopy:buffer length:length freeWhenDone:YES];
	return assetData;
}

@end
